## qtwebkit-opensource-src 5.6.1+dfsg

=== debian/changelog ===
qtwebkit-opensource-src (5.6.1+dfsg-5) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 10 Aug 2016 22:13:17 -0300

qtwebkit-opensource-src (5.6.1+dfsg-4) unstable; urgency=medium

  * Update symbols files with buildd's logs (Closes: 827783).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 23 Jun 2016 00:02:14 -0300

qtwebkit-opensource-src (5.6.1+dfsg-3) unstable; urgency=medium

  * Update symbols files with buildds' logs.
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 10:12:19 -0300

qtwebkit-opensource-src (5.6.1+dfsg-2) experimental; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 12 Jun 2016 20:33:02 -0300

qtwebkit-opensource-src (5.6.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Refresh fix_pthread_linking.diff.
  * Update Standards-Version to 3.9.8, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 10 Jun 2016 15:12:20 -0300

qtwebkit-opensource-src (5.6.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Make sure the Makefile needed for building docs is generated.
  * Update debian/watch for new tarballs location.
  * Bump Qt build-dependencies to 5.6.0.
  * Do not hardcode version number in debian/rules.
  * Update Lintian overrides for JS files with long lines.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Mar 2016 21:39:26 +0100

qtwebkit-opensource-src (5.6.0~rc+dfsg-2) experimental; urgency=medium

  * Explicitly specify Makefile for building docs.
  * Backport fix_pthread_linking.diff from upstream.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Mar 2016 22:36:47 +0300

qtwebkit-opensource-src (5.6.0~rc+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Qt build-dependencies to 5.6.0~rc.
  * Add back qtwebkit5-doc package.
  * Use recommended https URIs for Vcs fields.
  * Do not build-depend on qtxmlpatterns private headers.
  * Update symbols files from the current build log.
  * Call syncqt.pl in configure target.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Mar 2016 13:12:22 +0300

qtwebkit-opensource-src (5.3.2+dfsg-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream fix that adds missing checks for HTMLUnknownElement.
    Closes: #781194.

  [ Felix Geyer ]
  * Backport upstream fix that prevents recording visited URLs to its favicon
    database while using private browsing mode.
    Closes: #780748.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 01 Apr 2015 19:44:29 +0200

=== debian/control ===
Source: qtwebkit-opensource-src
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Timo Jyrinki <timo@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>
Build-Depends: bison,
               chrpath,
               debhelper (>= 9.0.0),
               flex,
               gperf,
               libfontconfig1-dev,
               libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
               libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
               libglib2.0-dev,
               libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libicu-dev,
               libjpeg-dev,
#              libleveldb-dev,
               libpng-dev,
               libqt5opengl5-dev (>= 5.6.1+dfsg~),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               libsqlite3-dev,
               libwebp-dev,
               libxcomposite-dev,
               libxml2-dev,
               libxrender-dev,
               libxslt1-dev,
               mesa-common-dev,
               pkg-config,
               pkg-kde-tools (>= 0.6.4),
               python-minimal,
               python2.7,
               qtbase5-private-dev (>= 5.6.1+dfsg~),
               qtdeclarative5-private-dev (>= 5.6.1~),
               qtscript5-private-dev (>= 5.6.1+dfsg~),
               ruby
Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1+dfsg~),
                     qtbase5-doc-html (>= 5.6.1+dfsg~),
                     qttools5-dev-tools (>= 5.6.1~)
Standards-Version: 3.9.8
Section: libs
Homepage: http://trac.webkit.org/wiki/QtWebKit
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qt5webkit.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qt5webkit.git

Package: libqt5webkit5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~)
Depends: libqt5webkit5 (= ${binary:Version}),
         qtbase5-dev,
         qtdeclarative5-dev,
         ${misc:Depends}
Description: Web content engine library for Qt - development files
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 5 applications
 using QtWebKit library.

Package: libqt5webkit5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Web content engine library for Qt
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the QtWebKit libraries.

Package: qml-module-qtwebkit
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt5webkit5-qmlwebkitplugin (<< 5.2.1+dfsg-6~)
Replaces: libqt5webkit5-qmlwebkitplugin (<< 5.2.1+dfsg-6~)
Description: Qt WebKit QML module
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the WebKit QML module for QtDeclarative.

Package: libqt5webkit5-dbg
Priority: extra
Architecture: amd64 i386 powerpc s390x
Multi-Arch: same
Section: debug
Depends: libqt5webkit5 (= ${binary:Version}), ${misc:Depends}
Description: Web content engine library for Qt - debugging symbols
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the debugging symbols for the Qt WebKit library.

Package: qtwebkit5-doc
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 webkit documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 webkit libraries.

Package: qtwebkit5-doc-html
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 webkit HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 5 webkit
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

gstab_architectures := amd64 i386 powerpc s390x
fulldebug_architectures := none
disabled_jit_architectures := armel mips mipsel
disabled_pch_architectures := amd64 powerpc s390x

debian_version = $(shell dpkg-parsechangelog -SVersion)
upstream_dfsg_version = $(firstword $(subst -, ,$(debian_version)))
upstream_version = $(firstword $(subst +, ,$(debian_version)))

%:
	dh $@ --parallel --dbg-package=libqt5webkit5-dbg --with pkgkde_symbolshelper

override_dh_auto_configure:
	# Run qmake once to create .qmake.conf and be sure to append the following values.
	qmake

# Enable gstabs debugging symbols only on gstab_architectures.
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gstab_architectures)))
	echo "QMAKE_CXXFLAGS -= -g" >> .qmake.conf
	echo "QMAKE_CXXFLAGS += -gstabs" >> .qmake.conf
# Enable normal debugging symbols only on fulldebug_architectures.
else ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(fulldebug_architectures)))
	echo "QMAKE_CXXFLAGS += -g" >> .qmake.conf
else
# Disable debugging symbols in all the other archs.
	echo "QMAKE_CXXFLAGS -= -g" >> .qmake.conf
	echo "QMAKE_CXXFLAGS -= -gstabs" >> .qmake.conf
endif

# Disable JIT on selected architectures
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(disabled_jit_architectures)))
	echo "QMAKE_CXXFLAGS += -DENABLE_JIT=0" >> .qmake.conf
endif

# Disable header precompliation as it creates invalid includes on certain
# architectures causing build failure. LP: 1395661
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(disabled_pch_architectures)))
	echo "CONFIG -= precompile_header" >> .qmake.conf
endif

	# Run qmake again now with the proper values.
	qmake

	# Upstream 5.6.0 RC tarball was generated improperly and has no synced headers
	/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/syncqt.pl Source -version $(upstream_version)

override_dh_auto_build-indep:
	dh_auto_build -- sub-Source-QtWebKit-pro-clean
	dh_auto_build -- -CSource -fMakefile.api docs

override_dh_auto_install-arch:
	make install INSTALL_ROOT=$(CURDIR)/debian/tmp
	
	# Remove rpath from the offending binaries
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/libexec/QtWebProcess
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/libexec/QtWebPluginProcess
	
	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
	
	# Remove private headers
	rm -rf debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWebKit/*/QtWebKit
	rm -rf debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtWebKitWidgets/*/QtWebKitWidgets
	# And associated files
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_webkit_private.pri
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_webkitwidgets_private.pri
	
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_auto_install-indep:
	dh_auto_build -- -CSource -fMakefile.api INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_install:
	dh_install --fail-missing

override_dh_auto_test:
	# Do not attempt to run anything to make build-indep work

## qtwebkit-opensource-src 5.7.1+dfsg

=== Tools/WebKitTestRunner/Makefile ===
# Build WebKitTestRunner only on Snow Leopard and later.

OSX_VERSION ?= $(shell sw_vers -productVersion | cut -d. -f 2)
BUILD_WEBKITTESTRUNNER = $(shell (( $(OSX_VERSION) >= 6 )) && echo "YES" )

ifeq "$(BUILD_WEBKITTESTRUNNER)" "YES"

SCRIPTS_PATH = ../Scripts
include ../../Makefile.shared

else

all: ;

debug d development dev develop: ;

release r deployment dep deploy: ;

clean: ;

endif

=== debian/changelog ===
qtwebkit-opensource-src (5.7.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Bump only the necessary Qt build dependencies.
  * Update symbols files with buildds' logs.
  * Re mark 5.7.1~* symbols to 5.7.1.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 15 Dec 2016 17:22:14 -0300

qtwebkit-opensource-src (5.7.1~20161021+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 01 Nov 2016 15:04:32 +0300

qtwebkit-opensource-src (5.7.1~20161021+dfsg-1) experimental; urgency=medium

  * New upstream snapshot.
  * Merge 5.6.1+dfsg-5 upload from unstable.
  * Bump Qt build-dependencies to 5.7.1~20161021.
  * Fix a Lintian warning about space in license name.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 25 Oct 2016 15:44:52 +0300

qtwebkit-opensource-src (5.7.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop debian/patches/fix_pthread_linking.diff, it was applied upstream
    in 5.6.1 and wrongly rebased in 5.6.1+dfsg-1 upload.
  * Refresh no_gc_sections.diff.
  * Bump Qt build-dependencies to 5.7.0.
  * Update the symbols files from 5.6.1 build logs.
  * Drop the syncqt hack, the new tarballs are generated properly.
  * Add Qt_5.7 version tag to debian/libqt5webkit5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 07 Jul 2016 21:37:28 +0300

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,8 @@
                libjpeg-dev,
 #              libleveldb-dev,
                libpng-dev,
-               libqt5opengl5-dev (>= 5.6.1+dfsg~),
-               libqt5xmlpatterns5-dev (>= 5.6.1~),
+               libqt5opengl5-dev (>= 5.7.1+dfsg~),
+               libqt5xmlpatterns5-dev (>= 5.7.1~20161021~),
                libsqlite3-dev,
                libwebp-dev,
                libxcomposite-dev,
@@ -33,13 +33,13 @@
                pkg-kde-tools (>= 0.6.4),
                python-minimal,
                python2.7,
-               qtbase5-private-dev (>= 5.6.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.6.1~),
-               qtscript5-private-dev (>= 5.6.1+dfsg~),
+               qtbase5-private-dev (>= 5.7.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.7.1~),
+               qtscript5-private-dev (>= 5.7.1~20161021+dfsg~),
                ruby
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1+dfsg~),
-                     qtbase5-doc-html (>= 5.6.1+dfsg~),
-                     qttools5-dev-tools (>= 5.6.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1+dfsg~),
+                     qtbase5-doc-html (>= 5.7.1+dfsg~),
+                     qttools5-dev-tools (>= 5.7.1~20161021~)
 Standards-Version: 3.9.8
 Section: libs
 Homepage: http://trac.webkit.org/wiki/QtWebKit

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,6 @@
 fulldebug_architectures := none
 disabled_jit_architectures := armel mips mipsel
 disabled_pch_architectures := amd64 powerpc s390x
-
-debian_version = $(shell dpkg-parsechangelog -SVersion)
-upstream_dfsg_version = $(firstword $(subst -, ,$(debian_version)))
-upstream_version = $(firstword $(subst +, ,$(debian_version)))
 
 %:
 	dh $@ --parallel --dbg-package=libqt5webkit5-dbg --with pkgkde_symbolshelper
@@ -54,9 +50,6 @@
 	# Run qmake again now with the proper values.
 	qmake
 
-	# Upstream 5.6.0 RC tarball was generated improperly and has no synced headers
-	/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/syncqt.pl Source -version $(upstream_version)
-
 override_dh_auto_build-indep:
 	dh_auto_build -- sub-Source-QtWebKit-pro-clean
 	dh_auto_build -- -CSource -fMakefile.api docs

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.qt.io/community_releases/([\d\.]*)/([\d\.]*)/qtwebkit-opensource-src-([^-]*)\.tar\.xz

## qtwebkit-opensource-src 5.9.1+dfsg

=== debian/changelog ===
qtwebkit-opensource-src (5.9.1+dfsg-5ubuntu1) artful; urgency=medium

  * Update debian/libqt5webkit5.symbols from armhf build log.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 25 Sep 2017 16:26:00 +0300

qtwebkit-opensource-src (5.9.1+dfsg-5) unstable; urgency=medium

  * Update symbols files from buildds’ logs to fix build on armhf.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Aug 2017 14:35:55 +0300

qtwebkit-opensource-src (5.9.1+dfsg-4) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Build with -Wno-expansion-to-defined to avoid 500MB build logs.
  * Build-depend on qtbase5-dev ≥ 5.9.1+dfsg-9~. We need a qtbase built
    with bfd linker on armel/armhf, otherwise the build fails there.
    Together with the symbols update, this closes: #872542.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Aug 2017 00:49:10 +0300

qtwebkit-opensource-src (5.9.1+dfsg-3) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 17 Aug 2017 00:32:18 -0300

qtwebkit-opensource-src (5.9.1+dfsg-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 15 Aug 2017 22:15:15 -0300

qtwebkit-opensource-src (5.9.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch to track official releases again.
  * Manually update symbols files from buildds’ logs.
  * Bump Qt build-dependencies to 5.9.1.
  * Drop qtxmlpatterns and qtscript build-dependencies, they have not been
    used for a long time.
  * Drop obsolete Breaks/Replaces on pre-Jessie Qt packages.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 05 Jul 2017 21:19:54 +0300

qtwebkit-opensource-src (5.9.0+dfsg-1) experimental; urgency=medium

  * Team upload.

  [ Simon Quigley ]
  * New upstream release.

  [ Dmitry Shachnev ]
  * Update debian/watch to find the 5.9.0 release correctly.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 07 Jun 2017 10:59:02 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: qtwebkit-opensource-src
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Timo Jyrinki <timo@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
@@ -20,8 +21,7 @@
                libjpeg-dev,
 #              libleveldb-dev,
                libpng-dev,
-               libqt5opengl5-dev (>= 5.7.1+dfsg~),
-               libqt5xmlpatterns5-dev (>= 5.7.1~20161021~),
+               libqt5opengl5-dev (>= 5.9.1+dfsg-9~),
                libsqlite3-dev,
                libwebp-dev,
                libxcomposite-dev,
@@ -33,13 +33,12 @@
                pkg-kde-tools (>= 0.6.4),
                python-minimal,
                python2.7,
-               qtbase5-private-dev (>= 5.7.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.7.1~),
-               qtscript5-private-dev (>= 5.7.1~20161021+dfsg~),
+               qtbase5-private-dev (>= 5.9.1+dfsg-9~),
+               qtdeclarative5-private-dev (>= 5.9.1~),
                ruby
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1+dfsg~),
-                     qtbase5-doc-html (>= 5.7.1+dfsg~),
-                     qttools5-dev-tools (>= 5.7.1~20161021~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.1+dfsg~),
+                     qtbase5-doc-html (>= 5.9.1+dfsg~),
+                     qttools5-dev-tools (>= 5.9.1~)
 Standards-Version: 3.9.8
 Section: libs
 Homepage: http://trac.webkit.org/wiki/QtWebKit
@@ -78,8 +77,6 @@
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libqt5webkit5-qmlwebkitplugin (<< 5.2.1+dfsg-6~)
-Replaces: libqt5webkit5-qmlwebkitplugin (<< 5.2.1+dfsg-6~)
 Description: Qt WebKit QML module
  QtWebKit provides a Web browser engine that makes it easy to embed content
  from the World Wide Web into your Qt application.

=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,9 @@
 	echo "CONFIG -= precompile_header" >> .qmake.conf
 endif
 
+	# This warning makes the build logs 500 MB large
+	echo "QMAKE_CXXFLAGS += -Wno-expansion-to-defined" >> .qmake.conf
+
 	# Run qmake again now with the proper values.
 	qmake

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtwebkit-opensource-src-([^-]*)\.tar\.xz
